##############################################################################
#
# Copyright (c) 2004 Alexandre Fernandez (alex@grotte.org). All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
#
##############################################################################


import HappyChatObject
import HappyServer 
import HappyChatProtocol

def initialize(registar):

    # registering Chat Server
    hostname = 'localhost' # for local use
    port = 1234
    protocol = HappyChatProtocol.HappyChatDefaultProtocol
    
    HappyServer.registerServer('HappyChat', hostname, port, protocol)

    
    # registering Client Object

    registar.registerClass(
        HappyChatObject.HappyChatClientObject,
        permission='View',
        constructors = (HappyChatObject.addHappyChatClientObjectForm,
                        HappyChatObject.addHappyChatClientObject)
    )
